using System;
using System.Globalization;
using System.Runtime.InteropServices;
using System.Threading;
using System.Windows.Forms;
using ABC.BanLe;
using DevExpress.Utils;
using DevExpress.XtraEditors;

namespace ABC
{
    static class Program
    {
        [STAThread]
        static void Main()
        {
            ConfigureApplication();
            Application.Run(new Main_Form());

           
        }

        private static void ConfigureApplication()
        {
            if (Environment.OSVersion.Version.Major >= 6)
            {
                try
                {
                    if (!SetProcessDPIAware())
                    {
                        Console.WriteLine("Warning: SetProcessDPIAware failed.");
                    }
                }
                catch (Exception ex)
                {
                    Console.WriteLine($"Error calling SetProcessDPIAware: {ex.Message}");
                }
            }

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            WindowsFormsSettings.TrackWindowsAccentColor = DefaultBoolean.True;
            CultureInfo.DefaultThreadCurrentUICulture = CultureInfo.CreateSpecificCulture("vi");
        }

        [DllImport("user32.dll")]
        private static extern bool SetProcessDPIAware();
    }
}

